import Layout, { BasicProps } from "./layout.js";
import { SiderEmits, SiderProps, SiderSlots, useSiderCtx } from "./Sider.js";
import * as vue222 from "vue";

//#region src/layout/index.d.ts
declare const useLayoutSider: typeof useSiderCtx;
declare const LayoutHeader: vue222.DefineSetupFnComponent<BasicProps, {}, {}, BasicProps & {}, vue222.PublicProps>;
declare const LayoutFooter: vue222.DefineSetupFnComponent<BasicProps, {}, {}, BasicProps & {}, vue222.PublicProps>;
declare const LayoutContent: vue222.DefineSetupFnComponent<BasicProps, {}, {}, BasicProps & {}, vue222.PublicProps>;
declare const LayoutSider: vue222.DefineSetupFnComponent<SiderProps, SiderEmits, vue222.SlotsType<SiderSlots>, SiderProps, vue222.PublicProps>;
//#endregion
export { LayoutContent, LayoutFooter, LayoutHeader, type BasicProps as LayoutProps, LayoutSider, type SiderProps, Layout as default, useLayoutSider };